WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Taxonomy Picker

Version: 1.13.8 Add a widget to help your readers build custom queries using drop downs of your categories and custom taxonomies. The latest version

Premium Plugin

Introduction

The plugin allows access to beta features of a forthcomimg premium version. See the Explanation below for more details. Beta in this case has the same sort of meaning given to it by Google: I use the beta version now on my live sites but I test upgrades on a development site first because the code itself is still evolving. At a future date, the premium version is likely to require subscription.

Premium Features

At present premium features include:

  • Option to use radio buttons instead of combo boxes
  • Ability to sort the results
  • Option to enable selection on post_date (alpha functionality only - it just works with limitation and needs better styling)

The tree view for taxonomies works but needs to be re-written as there are severe performance issues. There are plans to add styling options using JQuery libraries and a date picker for instance. One of the most requested features is an ability to change the order in which taxonomies are shown. This is possible now using the tpicker_taxonomies filter but adding it to the UI would be neater.

add_filter( 'tpicker_taxonomies', 'my_tpicker_taxonomies');
function my_tpicker_taxonomies( $taxonomies_array ) {

    // Sort $taxonies_array into your desired order

    return $taxonomies_array;
}

Other filters are available and will be documented when the next support site is in place.

Explanation

The intention is to fork the plugin and release a premium version in late 2012 or early 2013. This is based on new code for the core of the plugin. The intention is that most enhancements are made in the premium version, although some trickle down into the standard/legacy version. There are commercial considerations in moving towards a premium version, the plugin is complex and many enhancements now take considerable time, but the bigger reason is that the WordPress Repository requires that a plugin is compatible with the GPL v2 licence. A commercial set up will also allow me to spend time on documenation and improve the support site.

Requires: 3.1 or higher
Compatible up to: 3.4.2
Last Updated: 2012-12-8
Downloads: 17,530

Ratings

4 stars
4.6 out of 5 stars

Support

0 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1 0,1,0
100,1,1
100,1,1 0,1,0
0,1,0
100,1,1
100,1,1 0,1,0 100,1,1 100,1,1 100,1,1
67,3,2 100,1,1 0,1,0
100,1,1 100,1,1
0,1,0 100,2,2
100,1,1
100,2,2
75,4,3
100,2,2
100,1,1
0,1,0